package com.xdap.self_development.service;


import com.xdap.self_development.controller.request.ReportRequest;
import com.xdap.self_development.domain.pojo.DataEntryEngineModelPojo;
import com.xdap.self_development.domain.view.AnalysisModelParamterViewAndParam;

import java.util.List;

public interface AnalysisCommonParametersService {

    AnalysisModelParamterViewAndParam showReport(List<String> models);

    List<DataEntryEngineModelPojo> selectModelByLike(ReportRequest request);

    List<String> getAvailableParameters(String userId);
}
